| AI Engine-ML v2 Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Functions
Updating all elements with element extracted from vector
Vector Conversions » Broadcast

Extracts element "idx" from vector "v" and broadcasts its value to all lanes of the destination vector. More...

## Functions
v16cbfloat16 | broadcast_elem (v16cbfloat16 v, int idx)
v16cint16 | broadcast_elem (v16cint16 v, int idx)
v16float | broadcast_elem (v16float v, int idx)
v16int32 | broadcast_elem (v16int32 v, int idx)
v16uint32 | broadcast_elem (v16uint32 v, int idx)
v32bfloat16 | broadcast_elem (v32bfloat16 v, int idx)
v32float16 | broadcast_elem (v32float16 v, int idx)
v32int16 | broadcast_elem (v32int16 v, int idx)
v32uint16 | broadcast_elem (v32uint16 v, int idx)
v64bfloat8 | broadcast_elem (v64bfloat8 v, int idx)
v64float8 | broadcast_elem (v64float8 v, int idx)
v64int8 | broadcast_elem (v64int8 v, int idx)
v64uint8 | broadcast_elem (v64uint8 v, int idx)
v8cfloat | broadcast_elem (v8cfloat v, int idx)
v8cint32 | broadcast_elem (v8cint32 v, int idx)
v16int32 | broadcast_elem_128 (v16int32 v, int idx)
v16int32 | broadcast_elem_s64 (v16int32 v, int idx)
v16uint32 | broadcast_elem_s64 (v16uint32 v, int idx)

## Detailed Description

Extracts element "idx" from vector "v" and broadcasts its value to all lanes of the destination vector.

## Function Documentation

## ◆ broadcast_elem() [1/15]

v16cbfloat16 broadcast_elem | ( | v16cbfloat16 | v,
|  | int | idx )

## ◆ broadcast_elem() [2/15]

v16cint16 broadcast_elem | ( | v16cint16 | v,
|  | int | idx )

## ◆ broadcast_elem() [3/15]

v16float broadcast_elem | ( | v16float | v,
|  | int | idx )

## ◆ broadcast_elem() [4/15]

v16int32 broadcast_elem | ( | v16int32 | v,
|  | int | idx )

## ◆ broadcast_elem() [5/15]

v16uint32 broadcast_elem | ( | v16uint32 | v,
|  | int | idx )

## ◆ broadcast_elem() [6/15]

v32bfloat16 broadcast_elem | ( | v32bfloat16 | v,
|  | int | idx )

## ◆ broadcast_elem() [7/15]

v32float16 broadcast_elem | ( | v32float16 | v,
|  | int | idx )

## ◆ broadcast_elem() [8/15]

v32int16 broadcast_elem | ( | v32int16 | v,
|  | int | idx )

## ◆ broadcast_elem() [9/15]

v32uint16 broadcast_elem | ( | v32uint16 | v,
|  | int | idx )

## ◆ broadcast_elem() [10/15]

v64bfloat8 broadcast_elem | ( | v64bfloat8 | v,
|  | int | idx )

## ◆ broadcast_elem() [11/15]

v64float8 broadcast_elem | ( | v64float8 | v,
|  | int | idx )

## ◆ broadcast_elem() [12/15]

v64int8 broadcast_elem | ( | v64int8 | v,
|  | int | idx )

## ◆ broadcast_elem() [13/15]

v64uint8 broadcast_elem | ( | v64uint8 | v,
|  | int | idx )

## ◆ broadcast_elem() [14/15]

v8cfloat broadcast_elem | ( | v8cfloat | v,
|  | int | idx )

## ◆ broadcast_elem() [15/15]

v8cint32 broadcast_elem | ( | v8cint32 | v,
|  | int | idx )

## ◆ broadcast_elem_128()

v16int32 broadcast_elem_128 | ( | v16int32 | v,
|  | int | idx )

## ◆ broadcast_elem_s64() [1/2]

v16int32 broadcast_elem_s64 | ( | v16int32 | v,
|  | int | idx )

## ◆ broadcast_elem_s64() [2/2]

v16uint32 broadcast_elem_s64 | ( | v16uint32 | v,
|  | int | idx )